<?php

use Symfony\Component\Translation\MessageCatalogue;

$catalogue = new MessageCatalogue('de', array (
  'validators' => 
  array (
    'This value should be false.' => 'Dieser Wert sollte false sein.',
    'This value should be true.' => 'Dieser Wert sollte true sein.',
    'This value should be of type {{ type }}.' => 'Dieser Wert sollte vom Typ {{ type }} sein.',
    'This value should be blank.' => 'Dieser Wert sollte leer sein.',
    'The value you selected is not a valid choice.' => 'Sie haben einen ungültigen Wert ausgewählt.',
    'You must select at least {{ limit }} choice.|You must select at least {{ limit }} choices.' => 'Sie müssen mindestens {{ limit }} Möglichkeit wählen.|Sie müssen mindestens {{ limit }} Möglichkeiten wählen.',
    'You must select at most {{ limit }} choice.|You must select at most {{ limit }} choices.' => 'Sie dürfen höchstens {{ limit }} Möglichkeit wählen.|Sie dürfen höchstens {{ limit }} Möglichkeiten wählen.',
    'One or more of the given values is invalid.' => 'Einer oder mehrere der angegebenen Werte sind ungültig.',
    'This field was not expected.' => 'Dieses Feld wurde nicht erwartet.',
    'This field is missing.' => 'Dieses Feld fehlt.',
    'This value is not a valid date.' => 'Dieser Wert entspricht keiner gültigen Datumsangabe.',
    'This value is not a valid datetime.' => 'Dieser Wert entspricht keiner gültigen Datums- und Zeitangabe.',
    'This value is not a valid email address.' => 'Dieser Wert ist keine gültige E-Mail-Adresse.',
    'The file could not be found.' => 'Die Datei wurde nicht gefunden.',
    'The file is not readable.' => 'Die Datei ist nicht lesbar.',
    'The file is too large ({{ size }} {{ suffix }}). Allowed maximum size is {{ limit }} {{ suffix }}.' => 'Die Datei ist zu groß ({{ size }} {{ suffix }}). Die maximal zulässige Größe beträgt {{ limit }} {{ suffix }}.',
    'The mime type of the file is invalid ({{ type }}). Allowed mime types are {{ types }}.' => 'Der Dateityp ist ungültig ({{ type }}). Erlaubte Dateitypen sind {{ types }}.',
    'This value should be {{ limit }} or less.' => 'Dieser Wert sollte kleiner oder gleich {{ limit }} sein.',
    'This value is too long. It should have {{ limit }} character or less.|This value is too long. It should have {{ limit }} characters or less.' => 'Diese Zeichenkette ist zu lang. Sie sollte höchstens {{ limit }} Zeichen haben.|Diese Zeichenkette ist zu lang. Sie sollte höchstens {{ limit }} Zeichen haben.',
    'This value should be {{ limit }} or more.' => 'Dieser Wert sollte größer oder gleich {{ limit }} sein.',
    'This value is too short. It should have {{ limit }} character or more.|This value is too short. It should have {{ limit }} characters or more.' => 'Diese Zeichenkette ist zu kurz. Sie sollte mindestens {{ limit }} Zeichen haben.|Diese Zeichenkette ist zu kurz. Sie sollte mindestens {{ limit }} Zeichen haben.',
    'This value should not be blank.' => 'Dieser Wert sollte nicht leer sein.',
    'This value should not be null.' => 'Dieser Wert sollte nicht null sein.',
    'This value should be null.' => 'Dieser Wert sollte null sein.',
    'This value is not valid.' => 'Dieser Wert ist nicht gültig.',
    'This value is not a valid time.' => 'Dieser Wert entspricht keiner gültigen Zeitangabe.',
    'This value is not a valid URL.' => 'Dieser Wert ist keine gültige URL.',
    'The two values should be equal.' => 'Die beiden Werte sollten identisch sein.',
    'The file is too large. Allowed maximum size is {{ limit }} {{ suffix }}.' => 'Die Datei ist zu groß. Die maximal zulässige Größe beträgt {{ limit }} {{ suffix }}.',
    'The file is too large.' => 'Die Datei ist zu groß.',
    'The file could not be uploaded.' => 'Die Datei konnte nicht hochgeladen werden.',
    'This value should be a valid number.' => 'Dieser Wert sollte eine gültige Zahl sein.',
    'This file is not a valid image.' => 'Diese Datei ist kein gültiges Bild.',
    'This is not a valid IP address.' => 'Dies ist keine gültige IP-Adresse.',
    'This value is not a valid language.' => 'Dieser Wert entspricht keiner gültigen Sprache.',
    'This value is not a valid locale.' => 'Dieser Wert entspricht keinem gültigen Gebietsschema.',
    'This value is not a valid country.' => 'Dieser Wert entspricht keinem gültigen Land.',
    'This value is already used.' => 'Dieser Wert wird bereits verwendet.',
    'The size of the image could not be detected.' => 'Die Größe des Bildes konnte nicht ermittelt werden.',
    'The image width is too big ({{ width }}px). Allowed maximum width is {{ max_width }}px.' => 'Die Bildbreite ist zu groß ({{ width }}px). Die maximal zulässige Breite beträgt {{ max_width }}px.',
    'The image width is too small ({{ width }}px). Minimum width expected is {{ min_width }}px.' => 'Die Bildbreite ist zu gering ({{ width }}px). Die erwartete Mindestbreite beträgt {{ min_width }}px.',
    'The image height is too big ({{ height }}px). Allowed maximum height is {{ max_height }}px.' => 'Die Bildhöhe ist zu groß ({{ height }}px). Die maximal zulässige Höhe beträgt {{ max_height }}px.',
    'The image height is too small ({{ height }}px). Minimum height expected is {{ min_height }}px.' => 'Die Bildhöhe ist zu gering ({{ height }}px). Die erwartete Mindesthöhe beträgt {{ min_height }}px.',
    'This value should be the user\'s current password.' => 'Dieser Wert sollte dem aktuellen Benutzerpasswort entsprechen.',
    'This value should have exactly {{ limit }} character.|This value should have exactly {{ limit }} characters.' => 'Dieser Wert sollte genau {{ limit }} Zeichen lang sein.|Dieser Wert sollte genau {{ limit }} Zeichen lang sein.',
    'The file was only partially uploaded.' => 'Die Datei wurde nur teilweise hochgeladen.',
    'No file was uploaded.' => 'Es wurde keine Datei hochgeladen.',
    'No temporary folder was configured in php.ini.' => 'Es wurde kein temporärer Ordner in der php.ini konfiguriert oder der temporäre Ordner existiert nicht.',
    'Cannot write temporary file to disk.' => 'Kann die temporäre Datei nicht speichern.',
    'A PHP extension caused the upload to fail.' => 'Eine PHP-Erweiterung verhinderte den Upload.',
    'This collection should contain {{ limit }} element or more.|This collection should contain {{ limit }} elements or more.' => 'Diese Sammlung sollte {{ limit }} oder mehr Elemente beinhalten.|Diese Sammlung sollte {{ limit }} oder mehr Elemente beinhalten.',
    'This collection should contain {{ limit }} element or less.|This collection should contain {{ limit }} elements or less.' => 'Diese Sammlung sollte {{ limit }} oder weniger Elemente beinhalten.|Diese Sammlung sollte {{ limit }} oder weniger Elemente beinhalten.',
    'This collection should contain exactly {{ limit }} element.|This collection should contain exactly {{ limit }} elements.' => 'Diese Sammlung sollte genau {{ limit }} Element beinhalten.|Diese Sammlung sollte genau {{ limit }} Elemente beinhalten.',
    'Invalid card number.' => 'Ungültige Kartennummer.',
    'Unsupported card type or invalid card number.' => 'Nicht unterstützer Kartentyp oder ungültige Kartennummer.',
    'This is not a valid International Bank Account Number (IBAN).' => 'Dieser Wert ist keine gültige internationale Bankkontonummer (IBAN).',
    'This value is not a valid ISBN-10.' => 'Dieser Wert entspricht keiner gültigen ISBN-10.',
    'This value is not a valid ISBN-13.' => 'Dieser Wert entspricht keiner gültigen ISBN-13.',
    'This value is neither a valid ISBN-10 nor a valid ISBN-13.' => 'Dieser Wert ist weder eine gültige ISBN-10 noch eine gültige ISBN-13.',
    'This value is not a valid ISSN.' => 'Dieser Wert ist keine gültige ISSN.',
    'This value is not a valid currency.' => 'Dieser Wert ist keine gültige Währung.',
    'This value should be equal to {{ compared_value }}.' => 'Dieser Wert sollte gleich {{ compared_value }} sein.',
    'This value should be greater than {{ compared_value }}.' => 'Dieser Wert sollte größer als {{ compared_value }} sein.',
    'This value should be greater than or equal to {{ compared_value }}.' => 'Dieser Wert sollte größer oder gleich {{ compared_value }} sein.',
    'This value should be identical to {{ compared_value_type }} {{ compared_value }}.' => 'Dieser Wert sollte identisch sein mit {{ compared_value_type }} {{ compared_value }}.',
    'This value should be less than {{ compared_value }}.' => 'Dieser Wert sollte kleiner als {{ compared_value }} sein.',
    'This value should be less than or equal to {{ compared_value }}.' => 'Dieser Wert sollte kleiner oder gleich {{ compared_value }} sein.',
    'This value should not be equal to {{ compared_value }}.' => 'Dieser Wert sollte nicht {{ compared_value }} sein.',
    'This value should not be identical to {{ compared_value_type }} {{ compared_value }}.' => 'Dieser Wert sollte nicht identisch sein mit {{ compared_value_type }} {{ compared_value }}.',
    'The image ratio is too big ({{ ratio }}). Allowed maximum ratio is {{ max_ratio }}.' => 'Das Seitenverhältnis des Bildes ist zu groß ({{ ratio }}). Der erlaubte Maximalwert ist {{ max_ratio }}.',
    'The image ratio is too small ({{ ratio }}). Minimum ratio expected is {{ min_ratio }}.' => 'Das Seitenverhältnis des Bildes ist zu klein ({{ ratio }}). Der erwartete Minimalwert ist {{ min_ratio }}.',
    'The image is square ({{ width }}x{{ height }}px). Square images are not allowed.' => 'Das Bild ist quadratisch ({{ width }}x{{ height }}px). Quadratische Bilder sind nicht erlaubt.',
    'The image is landscape oriented ({{ width }}x{{ height }}px). Landscape oriented images are not allowed.' => 'Das Bild ist im Querformat ({{ width }}x{{ height }}px). Bilder im Querformat sind nicht erlaubt.',
    'The image is portrait oriented ({{ width }}x{{ height }}px). Portrait oriented images are not allowed.' => 'Das Bild ist im Hochformat ({{ width }}x{{ height }}px). Bilder im Hochformat sind nicht erlaubt.',
    'An empty file is not allowed.' => 'Eine leere Datei ist nicht erlaubt.',
    'The host could not be resolved.' => 'Der Hostname konnte nicht aufgelöst werden.',
    'This value does not match the expected {{ charset }} charset.' => 'Dieser Wert entspricht nicht dem erwarteten Zeichensatz {{ charset }}.',
    'This is not a valid Business Identifier Code (BIC).' => 'Dieser Wert ist kein gültiger BIC.',
    'Error' => 'Fehler',
    'This is not a valid UUID.' => 'Dies ist keine gültige UUID.',
    'This value should be a multiple of {{ compared_value }}.' => 'Dieser Wert sollte ein Vielfaches von {{ compared_value }} sein.',
    'This Business Identifier Code (BIC) is not associated with IBAN {{ iban }}.' => 'Diese internationale Bankleitzahl (BIC) ist nicht mit der IBAN {{ iban }} assoziiert.',
    'This value should be valid JSON.' => 'Dieser Wert sollte gültiges JSON sein.',
    'This collection should contain only unique elements.' => 'Diese Sammlung darf keine doppelten Elemente enthalten.',
    'This value should be positive.' => 'Diese Zahl sollte positiv sein.',
    'This value should be either positive or zero.' => 'Diese Zahl sollte entweder positiv oder 0 sein.',
    'This value should be negative.' => 'Diese Zahl sollte negativ sein.',
    'This value should be either negative or zero.' => 'Diese Zahl sollte entweder negativ oder 0 sein.',
    'This value is not a valid timezone.' => 'Dieser Wert ist keine gültige Zeitzone.',
    'This password has been leaked in a data breach, it must not be used. Please use another password.' => 'Dieses Passwort ist Teil eines Datenlecks, es darf nicht verwendet werden.',
    'This value should be between {{ min }} and {{ max }}.' => 'Dieser Wert sollte zwischen {{ min }} und {{ max }} sein.',
    'This value is not a valid hostname.' => 'Dieser Wert ist kein gültiger Hostname.',
    'The number of elements in this collection should be a multiple of {{ compared_value }}.' => 'Die Anzahl an Elementen in dieser Sammlung sollte ein Vielfaches von {{ compared_value }} sein.',
    'This value should satisfy at least one of the following constraints:' => 'Dieser Wert sollte eine der folgenden Bedingungen erfüllen:',
    'Each element of this collection should satisfy its own set of constraints.' => 'Jedes Element dieser Sammlung sollte seine eigene Menge an Bedingungen erfüllen.',
    'This value is not a valid International Securities Identification Number (ISIN).' => 'Dieser Wert ist keine gültige Internationale Wertpapierkennnummer (ISIN).',
    'This form should not contain extra fields.' => 'Dieses Formular sollte keine zusätzlichen Felder enthalten.',
    'The uploaded file was too large. Please try to upload a smaller file.' => 'Die hochgeladene Datei ist zu groß. Versuchen Sie bitte eine kleinere Datei hochzuladen.',
    'The CSRF token is invalid. Please try to resubmit the form.' => 'Der CSRF-Token ist ungültig. Versuchen Sie bitte das Formular erneut zu senden.',
    'This value is not a valid HTML5 color.' => 'Dieser Wert ist keine gültige HTML5 Farbe.',
    'Please enter a valid birthdate.' => 'Bitte geben Sie ein gültiges Geburtsdatum ein.',
    'The selected choice is invalid.' => 'Die Auswahl ist ungültig.',
    'The collection is invalid.' => 'Diese Gruppe von Feldern ist ungültig.',
    'Please select a valid color.' => 'Bitte geben Sie eine gültige Farbe ein.',
    'Please select a valid country.' => 'Bitte wählen Sie ein gültiges Land aus.',
    'Please select a valid currency.' => 'Bitte wählen Sie eine gültige Währung aus.',
    'Please choose a valid date interval.' => 'Bitte wählen Sie ein gültiges Datumsintervall.',
    'Please enter a valid date and time.' => 'Bitte geben Sie ein gültiges Datum samt Uhrzeit ein.',
    'Please enter a valid date.' => 'Bitte geben Sie ein gültiges Datum ein.',
    'Please select a valid file.' => 'Bitte wählen Sie eine gültige Datei.',
    'The hidden field is invalid.' => 'Das versteckte Feld ist ungültig.',
    'Please enter an integer.' => 'Bitte geben Sie eine ganze Zahl ein.',
    'Please select a valid language.' => 'Bitte wählen Sie eine gültige Sprache.',
    'Please select a valid locale.' => 'Bitte wählen Sie eine gültige Locale-Einstellung aus.',
    'Please enter a valid money amount.' => 'Bitte geben Sie einen gültigen Geldbetrag ein.',
    'Please enter a number.' => 'Bitte geben Sie eine gültige Zahl ein.',
    'The password is invalid.' => 'Das Kennwort ist ungültig.',
    'Please enter a percentage value.' => 'Bitte geben Sie einen gültigen Prozentwert ein.',
    'The values do not match.' => 'Die Werte stimmen nicht überein.',
    'Please enter a valid time.' => 'Bitte geben Sie eine gültige Uhrzeit ein.',
    'Please select a valid timezone.' => 'Bitte wählen Sie eine gültige Zeitzone.',
    'Please enter a valid URL.' => 'Bitte geben Sie eine gültige URL ein.',
    'Please enter a valid search term.' => 'Bitte geben Sie einen gültigen Suchbegriff ein.',
    'Please provide a valid phone number.' => 'Bitte geben Sie eine gültige Telefonnummer ein.',
    'The checkbox has an invalid value.' => 'Das Kontrollkästchen hat einen ungültigen Wert.',
    'Please enter a valid email address.' => 'Bitte geben Sie eine gültige E-Mail-Adresse ein.',
    'Please select a valid option.' => 'Bitte wählen Sie eine gültige Option.',
    'Please select a valid range.' => 'Bitte wählen Sie einen gültigen Bereich.',
    'Please enter a valid week.' => 'Bitte geben Sie eine gültige Woche ein.',
  ),
  'security' => 
  array (
    'An authentication exception occurred.' => 'Es ist ein Fehler bei der Authentifikation aufgetreten.',
    'Authentication credentials could not be found.' => 'Es konnten keine Zugangsdaten gefunden werden.',
    'Authentication request could not be processed due to a system problem.' => 'Die Authentifikation konnte wegen eines Systemproblems nicht bearbeitet werden.',
    'Invalid credentials.' => 'Fehlerhafte Zugangsdaten.',
    'Cookie has already been used by someone else.' => 'Cookie wurde bereits von jemand anderem verwendet.',
    'Not privileged to request the resource.' => 'Keine Rechte, um die Ressource anzufragen.',
    'Invalid CSRF token.' => 'Ungültiges CSRF-Token.',
    'No authentication provider found to support the authentication token.' => 'Es wurde kein Authentifizierungs-Provider gefunden, der das Authentifizierungs-Token unterstützt.',
    'No session available, it either timed out or cookies are not enabled.' => 'Keine Session verfügbar, entweder ist diese abgelaufen oder Cookies sind nicht aktiviert.',
    'No token could be found.' => 'Es wurde kein Token gefunden.',
    'Username could not be found.' => 'Der Benutzername wurde nicht gefunden.',
    'Account has expired.' => 'Der Account ist abgelaufen.',
    'Credentials have expired.' => 'Die Zugangsdaten sind abgelaufen.',
    'Account is disabled.' => 'Der Account ist deaktiviert.',
    'Account is locked.' => 'Der Account ist gesperrt.',
    'Too many failed login attempts, please try again later.' => 'Zu viele fehlgeschlagene Anmeldeversuche, bitte versuchen Sie es später noch einmal.',
    'Invalid or expired login link.' => 'Ungültiger oder abgelaufener Anmelde-Link.',
  ),
  'admin' => 
  array (
    'sulu_search.search' => 'Suche',
    'sulu_search.everything' => 'Alles',
    'sulu_search.search_hint' => 'Ein (*) kann als Platzhalter für Wortteile verwendet werden.',
    'sulu_search.nothing_found' => 'Für diesen Suchbegriff konnte nichts gefunden werden.',
    'sulu_contact.contacts' => 'Kontakte',
    'sulu_contact.organizations' => 'Organisationen',
    'sulu_contact.organization' => 'Organisation',
    'sulu_contact.people' => 'Personen',
    'sulu_contact.contact_selection_overlay_title' => 'Kontakte auswählen',
    'sulu_contact.account_selection_overlay_title' => 'Organisationen auswählen',
    'sulu_contact.contact_selection_label' => '{count} {count, plural, =1 {Kontakt} other {Kontakte}} ausgewählt',
    'sulu_contact.account_selection_label' => '{count} {count, plural, =1 {Organisation} other {Organisationen}} ausgewählt',
    'sulu_contact.contact_account_selection_label' => '{count} {count, plural, =1 {Kontakt} other {Kontakte}} ausgewählt',
    'sulu_contact.avatar' => 'Avatar',
    'sulu_contact.logo' => 'Logo',
    'sulu_contact.name' => 'Name',
    'sulu_contact.first_name' => 'Vorname',
    'sulu_contact.last_name' => 'Nachname',
    'sulu_contact.contact_details' => 'Kontaktdetails',
    'sulu_contact.addresses' => 'Adressen',
    'sulu_contact.bank_accounts' => 'Bankkonten',
    'sulu_contact.email' => 'Email',
    'sulu_contact.primary_address' => 'Primäre Adresse',
    'sulu_contact.delivery_address' => 'Lieferadresse',
    'sulu_contact.billing_address' => 'Rechnungsadresse',
    'sulu_contact.city' => 'Stadt',
    'sulu_contact.zip' => 'Postleitzahl',
    'sulu_contact.street' => 'Straße',
    'sulu_contact.number' => 'Nummer',
    'sulu_contact.address_line' => 'Adresszeile',
    'sulu_contact.state' => 'Region',
    'sulu_contact.country' => 'Land',
    'sulu_contact.postbox_number' => 'Postfach #',
    'sulu_contact.postbox_zip' => 'Postfach PLZ',
    'sulu_contact.postbox_city' => 'Postfach Stadt',
    'sulu_contact.phone' => 'Telefon',
    'sulu_contact.fax' => 'Fax',
    'sulu_contact.website' => 'Website',
    'sulu_contact.social_media' => 'Social Media',
    'sulu_contact.birthday' => 'Geburtstag',
    'sulu_contact.title' => 'Titel',
    'sulu_contact.salutation' => 'Grußformel',
    'sulu_contact.form_of_address' => 'Anrede',
    'sulu_contact.male_form_of_address' => 'Herr',
    'sulu_contact.female_form_of_address' => 'Frau',
    'sulu_contact.position' => 'Position',
    'sulu_contact.corporation' => 'Gesellschaft',
    'sulu_contact.main_contact' => 'Hauptansprechpartner',
    'sulu_contact.uid' => 'UID',
    'sulu_contact.register_number' => 'Firmenbuchnummer',
    'sulu_contact.jurisdiction' => 'Gerichtsstand',
    'sulu_contact.note' => 'Notiz',
    'sulu_contact.parent_company' => 'Dachgesellschaft',
    'sulu_contact.upload_avatar_info_text' => 'Bild ablegen oder klicken um den Avatar zu ändern',
    'sulu_contact.upload_logo_info_text' => 'Bild ablegen oder klicken um das Logo zu ändern',
    'sulu_contact.no_contact_selected' => 'Kein Kontakt ausgewählt',
    'sulu_contact.single_contact_selection_overlay_title' => 'Kontakt auswählen',
    'sulu_contact.no_account_selected' => 'Keine Organisation ausgewählt',
    'sulu_contact.single_account_selection_overlay_title' => 'Organisation auswählen',
    'sulu_contact.taxonomies' => 'Taxonomien',
    'sulu_contact.add_address' => 'Addresse hinzufügen',
    'sulu_contact.edit_address' => 'Addresse editieren',
    'sulu_contact.add_bank_account' => 'Bankkonto hinzufügen',
    'sulu_contact.edit_bank_account' => 'Bankkonto editieren',
    'sulu_contact.work' => 'Arbeit',
    'sulu_contact.private' => 'Privat',
    'sulu_contact.mobile' => 'Mobil',
    'sulu_contact.bank' => 'Bank',
    'sulu_contact.iban' => 'IBAN',
    'sulu_contact.bic' => 'BIC',
    'sulu_contact.edit_title_overlay_title' => 'Titel editieren',
    'sulu_contact.edit_position_overlay_title' => 'Positionen editieren',
    'sulu_contact.documents' => 'Dokumente',
    'sulu_contact.delete_media_warning_title' => 'Dokumentenzuweisung löschen?',
    'sulu_contact.delete_media_warning_text' => 'Diese Operation löscht die ausgewählten Dokumentzuweisungen. Das Dokument selbst wird nicht gelöscht. Wollen Sie wirklich fortfahren?',
    'sulu_contact.add_contact_to_organization' => 'Person zu Organisation hinzufügen',
    'sulu_contact.latitude' => 'Längengrad',
    'sulu_contact.longitude' => 'Breitengrad',
    'sulu_media.media' => 'Medien',
    'sulu_media.all_media' => 'Alle Medien',
    'sulu_media.audio' => 'Audio',
    'sulu_media.document' => 'Dokument',
    'sulu_media.image' => 'Bild',
    'sulu_media.video' => 'Video',
    'sulu_media.copy_url' => 'URL kopieren',
    'sulu_media.download_masterfile' => 'Original herunterladen',
    'sulu_media.select_media_singular' => 'Medium auswählen',
    'sulu_media.select_media_plural' => 'Medien auswählen',
    'sulu_media.reset_selection' => 'Auswahl zurücksetzen',
    'sulu_media.copy_masterfile_url' => 'Original URL kopieren',
    'sulu_media.copy_masterfile_url_website' => 'Original URL kopieren (Website)',
    'sulu_media.information_taxonomy' => 'Informationen und Taxonomien',
    'sulu_media.upload' => 'Upload',
    'sulu_media.upload_new_version' => 'Neue Version hochladen',
    'sulu_media.media_selected_singular' => 'Medien Element ausgewählt',
    'sulu_media.media_selected_plural' => 'Medien Elemente ausgewählt',
    'sulu_media.drop_files_to_upload' => 'Files hierher ziehen um hochzuladen',
    'sulu_media.click_here_to_upload' => 'oder klicken um hinzuzufügen',
    'sulu_media.add_collection' => 'Ordner hinzufügen',
    'sulu_media.remove_collection' => 'Ordner löschen',
    'sulu_media.remove_collection_warning' => 'Diese Operation löscht einen Ordner und kann nicht rückgängig gemacht werden. Wollen Sie wirklich fortfahren?',
    'sulu_media.move_collection' => 'Ordner verschieben',
    'sulu_media.edit_collection' => 'Ordner bearbeiten',
    'sulu_media.download_media' => 'Medium downloaden',
    'sulu_media.download_counter' => 'Anzahl Downloads',
    'sulu_media.delete_media' => 'Medium löschen',
    'sulu_media.delete_media_warning_title' => 'Medium löschen',
    'sulu_media.delete_media_warning_text' => 'Diese Operation löscht ein Medium und kann nicht rückgängig gemacht werden. Wollen sie wirklich fortfahren?',
    'sulu_media.delete_preview_image_warning_title' => 'Vorschaubild löschen',
    'sulu_media.delete_preview_image_warning_text' => 'Diese Operation löscht das Vorschaubild und kann nicht rückgängig gemacht werden. Wollen sie wirklich fortfahren?',
    'sulu_media.thumbnail' => 'Vorschaubild',
    'sulu_media.type' => 'Typ',
    'sulu_media.version' => 'Version',
    'sulu_media.size' => 'Dateigröße',
    'sulu_media.mime_type' => 'MIME-Typ',
    'sulu_media.license' => 'Lizenz',
    'sulu_media.copyright' => 'Urheberrechtsinformationen',
    'sulu_media.credits' => 'Bildnachweis',
    'sulu_media.taxonomies' => 'Taxonomien',
    'sulu_media.history' => 'Verlauf',
    'sulu_media.formats' => 'Formate',
    'sulu_media.all_collections' => 'Alle Kollektionen',
    'sulu_media.move_media' => 'Medien verschieben',
    'sulu_media.upload_server_error' => 'Beim Upload einer oder mehrerer Dateien ist ein Fehler aufgetreten.',
    'sulu_media.set_focus_point' => 'Fokuspunkt setzen',
    'sulu_media.define_crops' => 'Ausschnitte festlegen',
    'sulu_media.upload_preview_image' => 'Vorschaubild hochladen',
    'sulu_media.delete_preview_image' => 'Vorschaubild löschen',
    'sulu_media.cropped' => 'Zugeschnitten',
    'sulu_media.double_click_crop_and_maximize' => 'Mit Doppelklick wird der Ausschnitt maximiert und zentriert',
    'sulu_media.min_size_notification' => 'Minimalgröße erreicht',
    'sulu_media.left_top' => 'Links oben',
    'sulu_media.top' => 'Oben',
    'sulu_media.right_top' => 'Rechts oben',
    'sulu_media.left' => 'Links',
    'sulu_media.middle' => 'Mitte',
    'sulu_media.right' => 'Rechts',
    'sulu_media.left_bottom' => 'Links unten',
    'sulu_media.bottom' => 'Unten',
    'sulu_media.right_bottom' => 'Rechts unten',
    'sulu_media.hotspots' => 'Hotspots',
    'sulu_media.add_hotspot' => 'Hotspot hinzufügen',
    'sulu_media.hotspot_type' => 'Hotspot-Typ',
    'sulu_media.form_type' => 'Formular-Typ',
    'sulu_media.circle' => 'Kreis',
    'sulu_media.point' => 'Punkt',
    'sulu_media.rectangle' => 'Rechteck',
    'sulu_security.roles' => 'Benutzerrollen',
    'sulu_security.user_name' => 'Username',
    'sulu_security.enable_user' => 'Benutzer aktivieren',
    'sulu_security.user_locked' => 'Benutzer gesperrt',
    'sulu_security.permissions' => 'Berechtigungen',
    'sulu_security.password' => 'Passwort',
    'sulu_security.email' => 'Email',
    'sulu_security.system' => 'System',
    'sulu_security.system_language' => 'Systemsprache',
    'sulu_security.reset_mail_subject' => 'Sulu Password zurücksetzen',
    'sulu_security.reset_mail_message' => 'Klicken Sie auf den folgenden Link oder kopieren Sie ihn in Ihren Browser um Ihr Sulu Passwort zurückzusetzen:',
    'sulu_security.view' => 'Ansehen',
    'sulu_security.add' => 'Hinzufügen',
    'sulu_security.edit' => 'Bearbeiten',
    'sulu_security.delete' => 'Löschen',
    'sulu_security.live' => 'Live',
    'sulu_security.security' => 'Sicherheit',
    'sulu_security.system_permission_heading' => 'Berechtigung für {system} aktivieren',
    'sulu_security.inherit_permissions_title' => 'Berechtigung vererben?',
    'sulu_security.inherit_permissions_label' => 'Berechtigungen an Unterelementen vererben',
    'sulu_security.move_permission_title' => 'Hinweis',
    'sulu_security.move_permission_warning' => 'Die Berechtigungen des übergeordneten Elements werden nicht übernommen.',
    'sulu_category.categories' => 'Kategorien',
    'sulu_category.key' => 'Schlüssel',
    'sulu_category.name' => 'Name',
    'sulu_category.keywords' => 'Schlüsselwörter',
    'sulu_category.keyword' => 'Schlüsselwort',
    'sulu_category.multiple_usage' => 'Mehrfachverwendung',
    'sulu_category.all_categories' => 'Alle Kategorien',
    'sulu_category.no_category_selected' => 'Keine Kategorie ausgewählt',
    'sulu_category.single_category_selection_overlay_title' => 'Kategorie auswählen',
    'sulu_snippet.selection_overlay_title' => 'Schnipsel auswählen',
    'sulu_snippet.selection_label' => '{count} Schnipsel ausgewählt',
    'sulu_snippet.no_snippet_selected' => 'Kein Snippet ausgewählt',
    'sulu_snippet.single_snippet_selection_overlay_title' => 'Snippet auswählen',
    'sulu_snippet.snippets' => 'Schnipsel',
    'sulu_snippet.snippet' => 'Schnipsel',
    'sulu_snippet.default_snippets' => 'Standard Schnipsel',
    'sulu_snippet.snippet_area' => 'Typ oder Bereich',
    'sulu_snippet.taxonomies' => 'Taxonomien',
    'sulu_snippet.webspace_default_snippet' => '%webspaceKey% Standard Schnipsel',
    'sulu_page.webspaces' => 'Webspaces',
    'sulu_page.selection_label' => '{count} {count, plural, =1 {Seite} other {Seiten}} ausgewählt',
    'sulu_page.selection_overlay_title' => 'Seiten auswählen',
    'sulu_page.seo' => 'SEO',
    'sulu_page.excerpt' => 'Auszug & Taxonomien',
    'sulu_page.title' => 'Titel',
    'sulu_page.show_ghost_and_shadow' => 'Ghost- und Shadow- Seiten anzeigen',
    'sulu_page.no_page_selected' => 'Keine Seite ausgewählt',
    'sulu_page.single_selection_overlay_title' => 'Seite auswählen',
    'sulu_page.settings' => 'Einstellungen',
    'sulu_page.show_page_in' => 'Zeige Seite in',
    'sulu_page.no_navigation' => 'keiner Navigation',
    'sulu_page.all_navigations' => 'allen Navigationen',
    'sulu_page.page_type' => 'Seitentyp',
    'sulu_page.content' => 'Inhalt',
    'sulu_page.pages' => 'Seiten',
    'sulu_page.page' => 'Seite',
    'sulu_page.internal_link' => 'Interner Link',
    'sulu_page.external_link' => 'Externer Link',
    'sulu_page.link_title' => 'Link Titel',
    'sulu_page.linked_content' => 'Verlinkter Inhalt',
    'sulu_page.url' => 'URL',
    'sulu_page.shadow_page' => 'Shadow Seite',
    'sulu_page.enable_shadow_page' => 'Shadow Seite aktivieren',
    'sulu_page.enable_shadow_page_info_text' => 'Diese Funktion ist deaktiviert, wenn die aktuelle Sprache bereits als Shadow Sprache verwendet wird.',
    'sulu_page.shadow_locale' => 'Shadow Sprache',
    'sulu_page.editing_information' => 'Bearbeitungsinformationen',
    'sulu_page.authored_date' => 'Verfasst am',
    'sulu_page.author' => 'Autor',
    'sulu_page.changelog' => 'Änderungshistorie',
    'sulu_page.text_for_more_link' => 'Text für weiterführenden Link',
    'sulu_page.icons' => 'Icons',
    'sulu_page.images' => 'Bilder',
    'sulu_page.edited' => 'editiert',
    'sulu_page.search_result' => 'Suchergebnis Vorschau (SERP)',
    'sulu_page.meta_title' => 'Titel (Meta title)',
    'sulu_page.meta_title_info_text' => 'Der Meta-Titel ist auf 55 Zeichen limitiert.',
    'sulu_page.meta_description' => 'Beschreibung (Meta description)',
    'sulu_page.meta_description_info_text' => 'Die Meta-Beschreibung ist auf 320 Zeichen limitiert.',
    'sulu_page.meta_keywords' => 'Keywords (Meta keywords)',
    'sulu_page.meta_keywords_info_text' => 'Bitte benutze maximal 5 Keywords, abhängig vom Inhalt der Seite, getrennt durch Kommas.',
    'sulu_page.canonical_url' => 'Canonical URL  (Canonical tag)',
    'sulu_page.no_index' => 'no-index (Seite wird nicht von Suchmaschinen indiziert)',
    'sulu_page.no_follow' => 'no-follow (Links auf der Seite wird von Suchmaschinen nicht gefolgt)',
    'sulu_page.hide_in_sitemap' => 'In Sitemap ausblenden',
    'sulu_page.delete_draft' => 'Entwurf löschen',
    'sulu_page.delete_draft_warning_title' => 'Entwurf löschen?',
    'sulu_page.delete_draft_warning_text' => 'Soll der Entwurf wirklich gelöscht werden? Alle Daten gehen dadurch verloren. Die veröffentlichte Seite bleibt unverändert bestehen.',
    'sulu_page.unpublish_warning_title' => 'Nicht mehr veröffentlichen?',
    'sulu_page.unpublish_warning_text' => 'Soll die Seite wirklich nicht mehr veröffentlicht werden? Dadurch gehen sämtliche Verknüpfungen auf der Website verloren. Dieser Status kann jederzeit ohne Datenverlust geändert werden.',
    'sulu_page.unpublish' => 'Nicht mehr veröffentlichen',
    'sulu_page.restore_version' => 'Version wiederherstellen?',
    'sulu_page.restore_version_text' => 'Aus dieser Version wird ein neuer Entwurf erstellt. Wenn bereits eine Entwurfsversion besteht, wird diese überschrieben.',
    'sulu_page.hide_block_label' => 'Nicht auf publizierter Website darstellen',
    'sulu_page.hide_block_description' => 'Dieser Block wird nicht veröffentlicht, kann aber weiterhin im Admin bearbeitet werden.',
    'sulu_page.segment_label' => 'Segment zuweisen',
    'sulu_page.segment_description' => 'Der Block wird automatisch nach dem gewählten Segment auf der Website gefiltert.',
    'sulu_page.target_groups_label' => 'Zielgruppen zuweisen',
    'sulu_page.target_groups_description' => 'Der Block wird nur den ausgewählten Zielgruppen angezeigt.',
    'sulu_tag.tags' => 'Tags',
    'sulu_tag.tag' => 'Tag',
    'sulu_website.analytics' => 'Analytics',
    'sulu_website.all_domains' => 'Alle Domains',
    'sulu_website.domains' => 'Domains',
    'sulu_website.google_analytics' => 'Google Analytics',
    'sulu_website.google_tag_manager' => 'Google Tag Manager',
    'sulu_website.matomo' => 'Matomo',
    'sulu_website.custom_analytics' => 'Benutzerdefiniert',
    'sulu_website.script' => 'Skript',
    'sulu_website.key' => 'Schlüssel',
    'sulu_website.matomo_url' => 'URL',
    'sulu_website.matomo_id' => 'Site-ID',
    'sulu_website.position' => 'Position',
    'sulu_website.head_open' => 'Head open',
    'sulu_website.head_close' => 'Head close',
    'sulu_website.body_open' => 'Body open',
    'sulu_website.body_close' => 'Body close',
    'sulu_website.cache_clear' => 'Webseiten Cache löschen',
    'sulu_website.cache_clear_warning_title' => 'Webseiten Cache löschen?',
    'sulu_website.cache_clear_warning_text' => 'Diese Operation leert den gesamten Cache für jeden Webspace. Wollen Sie wirklich fortfahren?',
    'sulu_location.latitude' => 'Längengrad',
    'sulu_location.longitude' => 'Breitengrad',
    'sulu_location.zoom' => 'Zoom',
    'sulu_location.select_location' => 'Position auswählen',
    'sulu_location.additional_information' => 'Zusätzliche Adressinformationen',
    'sulu_location.title' => 'Titel',
    'sulu_location.street' => 'Straße',
    'sulu_location.number' => 'Nummer',
    'sulu_location.code' => 'Postleitzahl',
    'sulu_location.town' => 'Stadt',
    'sulu_location.country' => 'Land',
    'sulu_custom_url.custom_urls' => 'Benutzerdefinierte URLs',
    'sulu_custom_url.custom_url' => 'Benutzerdefinierte URL',
    'sulu_custom_url.published' => 'Veröffentlicht',
    'sulu_custom_url.base_domain' => 'Basis Domain',
    'sulu_custom_url.target_page' => 'Zielseite',
    'sulu_custom_url.target_locale' => 'Lokalisierung',
    'sulu_custom_url.redirect' => 'Weiterleitung',
    'sulu_custom_url.redirect_info' => 'Die Seite wird direkt auf die Ziel-URL weitergeleitet.',
    'sulu_custom_url.canonical' => 'Canonical URL',
    'sulu_custom_url.canonical_info' => 'Wird die Canonical URL aktiviert, so wird nur die Zielseite zur Indexierung durch eine Suchemaschine herangezogen',
    'sulu_custom_url.no_index' => 'No Index',
    'sulu_custom_url.no_index_info' => 'Seite nicht durch Suchmaschinen indexieren.',
    'sulu_custom_url.no_follow' => 'No Follow',
    'sulu_custom_url.no_follow_info' => 'Die in der Seite enthaltenen Links werden von der Suchmaschine nicht verfolgt',
    'sulu_custom_url.target_title' => 'Zielseite',
    'sulu_admin.add' => 'Hinzufügen',
    'sulu_admin.add_block' => 'Block hinzufügen',
    'sulu_admin.delete' => 'Löschen',
    'sulu_admin.move' => 'Verschieben',
    'sulu_admin.move_items' => 'Datensätze verschieben',
    'sulu_admin.copy' => 'Kopieren',
    'sulu_admin.order' => 'Sortieren',
    'sulu_admin.of' => 'von',
    'sulu_admin.page' => 'Seite',
    'sulu_admin.per_page' => 'Elemente pro Seite',
    'sulu_admin.save' => 'Speichern',
    'sulu_admin.save_draft' => 'Als Entwurf speichern',
    'sulu_admin.save_publish' => 'Speichern und veröffentlichen',
    'sulu_admin.publish' => 'Veröffentlichen',
    'sulu_admin.create' => 'Erstellen',
    'sulu_admin.edit' => 'Editieren',
    'sulu_admin.object' => 'Objekt',
    'sulu_admin.objects' => 'Objekte',
    'sulu_admin.reached_end_of_list' => 'Sie haben das Ende der Liste erreicht',
    'sulu_admin.confirm' => 'Bestätigen',
    'sulu_admin.ok' => 'Ok',
    'sulu_admin.cancel' => 'Abbrechen',
    'sulu_admin.apply' => 'Übernehmen',
    'sulu_admin.yes' => 'Ja',
    'sulu_admin.no' => 'Nein',
    'sulu_admin.type' => 'Typ',
    'sulu_admin.default' => 'Standard',
    'sulu_admin.error_required' => 'Dieses Feld muss ausgefüllt werden',
    'sulu_admin.error_minlength' => 'Die minimale Länge dieses Feldes wurde unterschritten',
    'sulu_admin.error_minitems' => 'Dieses Feld hat zu wenig Zuweisungen',
    'sulu_admin.welcome' => 'Willkommen',
    'sulu_admin.reset_password' => 'Passwort zurücksetzen',
    'sulu_admin.reset_password_error' => 'Die Passwörter stimmen nicht überein',
    'sulu_admin.back_to_website' => 'Zurück zur Website',
    'sulu_admin.username_or_email' => 'Username oder Email',
    'sulu_admin.password' => 'Passwort',
    'sulu_admin.repeat_password' => 'Passwort wiederholen',
    'sulu_admin.login' => 'Login',
    'sulu_admin.login_error' => 'Diese Kombination von Email/Passwort ist falsch. Bitte versuchen Sie es erneut.',
    'sulu_admin.to_login' => 'Zum Login',
    'sulu_admin.reset' => 'Zurücksetzen',
    'sulu_admin.reset_resend' => 'Erneut senden',
    'sulu_admin.forgot_password' => 'Passwort vergessen',
    'sulu_admin.forgot_password_success' => 'Eine Email mit Anweisungen, wie Sie Ihr Passwort zurücksetzen können wurde gesendet, falls ein User gefunden wurde',
    'sulu_admin.list_search_placeholder' => 'Suche…',
    'sulu_admin.error' => 'Fehler',
    'sulu_admin.warning' => 'Warnung',
    'sulu_admin.close' => 'Schließen',
    'sulu_admin.id' => 'ID',
    'sulu_admin.key' => 'Schlüssel',
    'sulu_admin.title' => 'Titel',
    'sulu_admin.name' => 'Name',
    'sulu_admin.description' => 'Beschreibung',
    'sulu_admin.url' => 'URL',
    'sulu_admin.creator' => 'Ersteller',
    'sulu_admin.created' => 'Erstellt am',
    'sulu_admin.changer' => 'Bearbeiter',
    'sulu_admin.changed' => 'Geändert am',
    'sulu_admin.published' => 'Veröffentlicht am',
    'sulu_admin.authored' => 'Verfasst am',
    'sulu_admin.author' => 'Autor',
    'sulu_admin.delete_warning_title' => 'Löschen?',
    'sulu_admin.delete_warning_text' => 'Diese Operation löscht Daten und kann nicht rückgängig gemacht werden. Wollen Sie wirklich fortfahren?',
    'sulu_admin.delete_linked_warning_title' => 'Löschen bestätigen',
    'sulu_admin.delete_linked_warning_text' => 'Dieser Eintrag wird von folgenden anderen Einträgen referenziert, sind Sie sich sicher, dass sie diesen Eintrag löschen wollen?',
    'sulu_admin.delete_selection_warning_text' => 'Diese Operation löscht {count} {count, plural, =1 {Datensatz} other {Datensätze}} und kann nicht rückgängig gemacht werden. Wollen Sie wirklich fortfahren?',
    'sulu_admin.item_not_deletable' => 'Eintrag nicht löschbar',
    'sulu_admin.delete_linked_abort_text' => 'Dieser Eintrag kann nicht gelöscht werden, solange er noch von anderen Einträgen referenziert wird. Bitte löschen Sie die folgenden referenzierenden Einträge oder entfernen sie die Relation',
    'sulu_admin.ghost_dialog_title' => 'Sprachvariante kopieren?',
    'sulu_admin.ghost_dialog_description' => 'Diese Seite existiert nicht in dieser Sprache. Wollen Sie den Inhalt aus einer anderen Sprache kopieren?',
    'sulu_admin.choose_language' => 'Sprache wählen',
    'sulu_admin.characters_left' => 'Zeichen übrig',
    'sulu_admin.segments_left' => 'Segmente übrig',
    'sulu_admin.copy_locale' => 'Sprachvariante kopieren',
    'sulu_admin.choose_target_locale' => 'Wähle Zielsprachen',
    'sulu_admin.copy_locale_dialog_description' => '* Neue Sprachvariante wird erstellt',
    'sulu_admin.move_copy_overlay_title' => 'Elternseite wählen',
    'sulu_admin.filter_overlay_title' => '{fieldLabel} konfigurieren',
    'sulu_admin.data_source' => 'Datenquelle',
    'sulu_admin.choose_data_source' => 'Datenquelle auswählen',
    'sulu_admin.include_sub_elements' => 'Unterelemente mit einbeziehen',
    'sulu_admin.filter_by_categories' => 'Nach Kategorien filtern',
    'sulu_admin.any_category_description' => 'Übereinstimmung mit mindestens einer Kategorie',
    'sulu_admin.all_categories_description' => 'Übereinstimmung mit allen Katogorien',
    'sulu_admin.choose_categories' => 'Kategorien auswählen',
    'sulu_admin.filter_by_tags' => 'Nach Tags filtern',
    'sulu_admin.any_tag_description' => 'Übereinstimmung mit mindestens einem Tag',
    'sulu_admin.all_tags_description' => 'Übereinstimmung mit allen Tags',
    'sulu_admin.filter_by_types' => 'Nach Typen filtern',
    'sulu_admin.all_types' => 'Alle Typen ausgewählt',
    'sulu_admin.no_types' => 'Keine Typen ausgewählt',
    'sulu_admin.target_groups' => 'Zielgruppen',
    'sulu_admin.use_target_groups' => 'Zielgruppen berücksichtigen',
    'sulu_admin.sort_by' => 'Sortieren nach',
    'sulu_admin.ascending' => 'Aufsteigend',
    'sulu_admin.descending' => 'Absteigend',
    'sulu_admin.present_as' => 'Darstellen als',
    'sulu_admin.limit_result_to' => 'Ergebnis limitieren auf',
    'sulu_admin.smart_content_label' => '{count} {count, plural, =1 {Element} other {Elemente}} ausgewählt',
    'sulu_admin.smart_content_block_preview' => 'Smart Content {limit, select, undefined{} other{mit bis zu {limit} Elementen}}',
    'sulu_admin.order_warning_title' => 'Elemente neu anordnen',
    'sulu_admin.order_warning_text' => 'Sie sind dabei ein Element neu anzuordnen.',
    'sulu_admin.activate_all' => 'Alle aktivieren',
    'sulu_admin.deactivate_all' => 'Alle deaktivieren',
    'sulu_admin.all_selected' => 'Alle ausgewählt',
    'sulu_admin.none_selected' => 'Keine ausgewählt',
    'sulu_admin.please_choose' => 'Bitte auswählen',
    'sulu_admin.column_options' => 'Spalten Optionen',
    'sulu_admin.changelog_line_changer' => 'Letzte Änderung {changer, select, undefined{} other{von {changer}}} am {changed}',
    'sulu_admin.changelog_line_creator' => 'Erstellt {creator, select, undefined{} other{von {creator}}} am {created}',
    'sulu_admin.settings' => 'Einstellungen',
    'sulu_admin.move_selected' => 'Ausgewählte verschieben',
    'sulu_admin.details' => 'Details',
    'sulu_admin.edit_entries' => 'Einträge bearbeiten',
    'sulu_admin.paragraph' => 'Absatz',
    'sulu_admin.heading1' => 'Überschrift 1',
    'sulu_admin.heading2' => 'Überschrift 2',
    'sulu_admin.heading3' => 'Überschrift 3',
    'sulu_admin.heading4' => 'Überschrift 4',
    'sulu_admin.heading5' => 'Überschrift 5',
    'sulu_admin.heading6' => 'Überschrift 6',
    'sulu_admin.dirty_warning_dialog_title' => 'Formular verlassen?',
    'sulu_admin.dirty_warning_dialog_text' => 'Ihre Änderungen werden nicht gespeichert.',
    'sulu_admin.export' => 'Exportieren',
    'sulu_admin.export_overlay_title' => 'Datenformat konfigurieren',
    'sulu_admin.delimiter' => 'Trennzeichen',
    'sulu_admin.enclosure' => 'Umschließen',
    'sulu_admin.escape' => 'Maskieren',
    'sulu_admin.new_line' => 'Neue Zeile',
    'sulu_admin.delimiter_description' => 'Zeichen um Zellen zu trennen.',
    'sulu_admin.enclosure_description' => 'Einträge mit mehreren Wörtern markieren.',
    'sulu_admin.escape_description' => 'Zusatz bei Sonderzeichen.',
    'sulu_admin.new_line_description' => 'Zeichen für den Zeilenumbruch.',
    'sulu_admin.delimiter_tab' => 'Tab',
    'sulu_admin.enclosure_nothing' => 'Nichts',
    'sulu_admin.link' => 'Link',
    'sulu_admin.link_title' => 'Alternativer Titel',
    'sulu_admin.link_target' => 'Link Ziel',
    'sulu_admin.link_url' => 'Link URL',
    'sulu_admin.mail_subject' => 'E-Mail Betreff',
    'sulu_admin.mail_body' => 'E-Mail Text',
    'sulu_admin.show_history' => 'Verlauf anzeigen',
    'sulu_admin.history' => 'Verlauf',
    'sulu_admin.resource_locator_history_delete_warning' => 'Die URL wird für alle Entwurfs- und Live-Versionen gelöscht, und kann nicht wieder hergestellt werden. Wollen Sie wirklich fortfahren?',
    'sulu_admin.has_changed_warning_dialog_title' => 'Inhalte werden überschrieben!',
    'sulu_admin.has_changed_warning_dialog_text' => 'Dieser Inhalt wurde zwischenzeitlich von einem anderen Benutzer geändert. Wenn der Inhalt gespeichert wird, gehen diese Daten verloren.',
    'sulu_admin.edit_profile' => 'Profil bearbeiten',
    'sulu_admin.no_permissions' => 'Keine Berechtigung',
    'sulu_admin.no_options_available' => 'Keine Optionen verfügbar',
    'sulu_admin.form_contains_invalid_values' => 'Das Formular beinhaltet ungültige Werte',
    'sulu_admin.form_save_server_error' => 'Beim Speichern des Formulars ist ein Fehler aufgetreten',
    'sulu_admin.form_used_by' => 'Dieses Formular wird momentan benutzt von',
    'sulu_admin.refresh_url' => 'URL neu generieren',
    'sulu_admin.from' => 'ab',
    'sulu_admin.until' => 'bis',
    'sulu_admin.external_link' => 'Externer Link',
    'sulu_admin.internal_link' => 'Interner Link',
    'sulu_admin.block_settings' => 'Block Einstellungen',
    'sulu_admin.hide_block' => 'Verstecke diesen Block auf der Webseite',
    'sulu_admin.segment' => 'Segment',
    'sulu_admin.missing_type_dialog_title' => 'Neues Template auswählen',
    'sulu_admin.missing_type_dialog_description' => 'Das Template der kopierten Seite steht in diesem Webspace nicht zur Verfügung.',
    'sulu_preview.auto' => 'Auto',
    'sulu_preview.desktop' => 'Desktop',
    'sulu_preview.tablet' => 'Tablet',
    'sulu_preview.smartphone' => 'Smartphone',
    'sulu_preview.reload' => 'Neu laden',
    'sulu_preview.open_in_window' => 'In Fenster öffnen',
  ),
));

$catalogueEn = new MessageCatalogue('en', array (
  'validators' => 
  array (
    'This value should be false.' => 'This value should be false.',
    'This value should be true.' => 'This value should be true.',
    'This value should be of type {{ type }}.' => 'This value should be of type {{ type }}.',
    'This value should be blank.' => 'This value should be blank.',
    'The value you selected is not a valid choice.' => 'The value you selected is not a valid choice.',
    'You must select at least {{ limit }} choice.|You must select at least {{ limit }} choices.' => 'You must select at least {{ limit }} choice.|You must select at least {{ limit }} choices.',
    'You must select at most {{ limit }} choice.|You must select at most {{ limit }} choices.' => 'You must select at most {{ limit }} choice.|You must select at most {{ limit }} choices.',
    'One or more of the given values is invalid.' => 'One or more of the given values is invalid.',
    'This field was not expected.' => 'This field was not expected.',
    'This field is missing.' => 'This field is missing.',
    'This value is not a valid date.' => 'This value is not a valid date.',
    'This value is not a valid datetime.' => 'This value is not a valid datetime.',
    'This value is not a valid email address.' => 'This value is not a valid email address.',
    'The file could not be found.' => 'The file could not be found.',
    'The file is not readable.' => 'The file is not readable.',
    'The file is too large ({{ size }} {{ suffix }}). Allowed maximum size is {{ limit }} {{ suffix }}.' => 'The file is too large ({{ size }} {{ suffix }}). Allowed maximum size is {{ limit }} {{ suffix }}.',
    'The mime type of the file is invalid ({{ type }}). Allowed mime types are {{ types }}.' => 'The mime type of the file is invalid ({{ type }}). Allowed mime types are {{ types }}.',
    'This value should be {{ limit }} or less.' => 'This value should be {{ limit }} or less.',
    'This value is too long. It should have {{ limit }} character or less.|This value is too long. It should have {{ limit }} characters or less.' => 'This value is too long. It should have {{ limit }} character or less.|This value is too long. It should have {{ limit }} characters or less.',
    'This value should be {{ limit }} or more.' => 'This value should be {{ limit }} or more.',
    'This value is too short. It should have {{ limit }} character or more.|This value is too short. It should have {{ limit }} characters or more.' => 'This value is too short. It should have {{ limit }} character or more.|This value is too short. It should have {{ limit }} characters or more.',
    'This value should not be blank.' => 'This value should not be blank.',
    'This value should not be null.' => 'This value should not be null.',
    'This value should be null.' => 'This value should be null.',
    'This value is not valid.' => 'This value is not valid.',
    'This value is not a valid time.' => 'This value is not a valid time.',
    'This value is not a valid URL.' => 'This value is not a valid URL.',
    'The two values should be equal.' => 'The two values should be equal.',
    'The file is too large. Allowed maximum size is {{ limit }} {{ suffix }}.' => 'The file is too large. Allowed maximum size is {{ limit }} {{ suffix }}.',
    'The file is too large.' => 'The file is too large.',
    'The file could not be uploaded.' => 'The file could not be uploaded.',
    'This value should be a valid number.' => 'This value should be a valid number.',
    'This file is not a valid image.' => 'This file is not a valid image.',
    'This is not a valid IP address.' => 'This is not a valid IP address.',
    'This value is not a valid language.' => 'This value is not a valid language.',
    'This value is not a valid locale.' => 'This value is not a valid locale.',
    'This value is not a valid country.' => 'This value is not a valid country.',
    'This value is already used.' => 'This value is already used.',
    'The size of the image could not be detected.' => 'The size of the image could not be detected.',
    'The image width is too big ({{ width }}px). Allowed maximum width is {{ max_width }}px.' => 'The image width is too big ({{ width }}px). Allowed maximum width is {{ max_width }}px.',
    'The image width is too small ({{ width }}px). Minimum width expected is {{ min_width }}px.' => 'The image width is too small ({{ width }}px). Minimum width expected is {{ min_width }}px.',
    'The image height is too big ({{ height }}px). Allowed maximum height is {{ max_height }}px.' => 'The image height is too big ({{ height }}px). Allowed maximum height is {{ max_height }}px.',
    'The image height is too small ({{ height }}px). Minimum height expected is {{ min_height }}px.' => 'The image height is too small ({{ height }}px). Minimum height expected is {{ min_height }}px.',
    'This value should be the user\'s current password.' => 'This value should be the user\'s current password.',
    'This value should have exactly {{ limit }} character.|This value should have exactly {{ limit }} characters.' => 'This value should have exactly {{ limit }} character.|This value should have exactly {{ limit }} characters.',
    'The file was only partially uploaded.' => 'The file was only partially uploaded.',
    'No file was uploaded.' => 'No file was uploaded.',
    'No temporary folder was configured in php.ini.' => 'No temporary folder was configured in php.ini, or the configured folder does not exist.',
    'Cannot write temporary file to disk.' => 'Cannot write temporary file to disk.',
    'A PHP extension caused the upload to fail.' => 'A PHP extension caused the upload to fail.',
    'This collection should contain {{ limit }} element or more.|This collection should contain {{ limit }} elements or more.' => 'This collection should contain {{ limit }} element or more.|This collection should contain {{ limit }} elements or more.',
    'This collection should contain {{ limit }} element or less.|This collection should contain {{ limit }} elements or less.' => 'This collection should contain {{ limit }} element or less.|This collection should contain {{ limit }} elements or less.',
    'This collection should contain exactly {{ limit }} element.|This collection should contain exactly {{ limit }} elements.' => 'This collection should contain exactly {{ limit }} element.|This collection should contain exactly {{ limit }} elements.',
    'Invalid card number.' => 'Invalid card number.',
    'Unsupported card type or invalid card number.' => 'Unsupported card type or invalid card number.',
    'This is not a valid International Bank Account Number (IBAN).' => 'This is not a valid International Bank Account Number (IBAN).',
    'This value is not a valid ISBN-10.' => 'This value is not a valid ISBN-10.',
    'This value is not a valid ISBN-13.' => 'This value is not a valid ISBN-13.',
    'This value is neither a valid ISBN-10 nor a valid ISBN-13.' => 'This value is neither a valid ISBN-10 nor a valid ISBN-13.',
    'This value is not a valid ISSN.' => 'This value is not a valid ISSN.',
    'This value is not a valid currency.' => 'This value is not a valid currency.',
    'This value should be equal to {{ compared_value }}.' => 'This value should be equal to {{ compared_value }}.',
    'This value should be greater than {{ compared_value }}.' => 'This value should be greater than {{ compared_value }}.',
    'This value should be greater than or equal to {{ compared_value }}.' => 'This value should be greater than or equal to {{ compared_value }}.',
    'This value should be identical to {{ compared_value_type }} {{ compared_value }}.' => 'This value should be identical to {{ compared_value_type }} {{ compared_value }}.',
    'This value should be less than {{ compared_value }}.' => 'This value should be less than {{ compared_value }}.',
    'This value should be less than or equal to {{ compared_value }}.' => 'This value should be less than or equal to {{ compared_value }}.',
    'This value should not be equal to {{ compared_value }}.' => 'This value should not be equal to {{ compared_value }}.',
    'This value should not be identical to {{ compared_value_type }} {{ compared_value }}.' => 'This value should not be identical to {{ compared_value_type }} {{ compared_value }}.',
    'The image ratio is too big ({{ ratio }}). Allowed maximum ratio is {{ max_ratio }}.' => 'The image ratio is too big ({{ ratio }}). Allowed maximum ratio is {{ max_ratio }}.',
    'The image ratio is too small ({{ ratio }}). Minimum ratio expected is {{ min_ratio }}.' => 'The image ratio is too small ({{ ratio }}). Minimum ratio expected is {{ min_ratio }}.',
    'The image is square ({{ width }}x{{ height }}px). Square images are not allowed.' => 'The image is square ({{ width }}x{{ height }}px). Square images are not allowed.',
    'The image is landscape oriented ({{ width }}x{{ height }}px). Landscape oriented images are not allowed.' => 'The image is landscape oriented ({{ width }}x{{ height }}px). Landscape oriented images are not allowed.',
    'The image is portrait oriented ({{ width }}x{{ height }}px). Portrait oriented images are not allowed.' => 'The image is portrait oriented ({{ width }}x{{ height }}px). Portrait oriented images are not allowed.',
    'An empty file is not allowed.' => 'An empty file is not allowed.',
    'The host could not be resolved.' => 'The host could not be resolved.',
    'This value does not match the expected {{ charset }} charset.' => 'This value does not match the expected {{ charset }} charset.',
    'This is not a valid Business Identifier Code (BIC).' => 'This is not a valid Business Identifier Code (BIC).',
    'Error' => 'Error',
    'This is not a valid UUID.' => 'This is not a valid UUID.',
    'This value should be a multiple of {{ compared_value }}.' => 'This value should be a multiple of {{ compared_value }}.',
    'This Business Identifier Code (BIC) is not associated with IBAN {{ iban }}.' => 'This Business Identifier Code (BIC) is not associated with IBAN {{ iban }}.',
    'This value should be valid JSON.' => 'This value should be valid JSON.',
    'This collection should contain only unique elements.' => 'This collection should contain only unique elements.',
    'This value should be positive.' => 'This value should be positive.',
    'This value should be either positive or zero.' => 'This value should be either positive or zero.',
    'This value should be negative.' => 'This value should be negative.',
    'This value should be either negative or zero.' => 'This value should be either negative or zero.',
    'This value is not a valid timezone.' => 'This value is not a valid timezone.',
    'This password has been leaked in a data breach, it must not be used. Please use another password.' => 'This password has been leaked in a data breach, it must not be used. Please use another password.',
    'This value should be between {{ min }} and {{ max }}.' => 'This value should be between {{ min }} and {{ max }}.',
    'This value is not a valid hostname.' => 'This value is not a valid hostname.',
    'The number of elements in this collection should be a multiple of {{ compared_value }}.' => 'The number of elements in this collection should be a multiple of {{ compared_value }}.',
    'This value should satisfy at least one of the following constraints:' => 'This value should satisfy at least one of the following constraints:',
    'Each element of this collection should satisfy its own set of constraints.' => 'Each element of this collection should satisfy its own set of constraints.',
    'This value is not a valid International Securities Identification Number (ISIN).' => 'This value is not a valid International Securities Identification Number (ISIN).',
    'This form should not contain extra fields.' => 'This form should not contain extra fields.',
    'The uploaded file was too large. Please try to upload a smaller file.' => 'The uploaded file was too large. Please try to upload a smaller file.',
    'The CSRF token is invalid. Please try to resubmit the form.' => 'The CSRF token is invalid. Please try to resubmit the form.',
    'This value is not a valid HTML5 color.' => 'This value is not a valid HTML5 color.',
    'Please enter a valid birthdate.' => 'Please enter a valid birthdate.',
    'The selected choice is invalid.' => 'The selected choice is invalid.',
    'The collection is invalid.' => 'The collection is invalid.',
    'Please select a valid color.' => 'Please select a valid color.',
    'Please select a valid country.' => 'Please select a valid country.',
    'Please select a valid currency.' => 'Please select a valid currency.',
    'Please choose a valid date interval.' => 'Please choose a valid date interval.',
    'Please enter a valid date and time.' => 'Please enter a valid date and time.',
    'Please enter a valid date.' => 'Please enter a valid date.',
    'Please select a valid file.' => 'Please select a valid file.',
    'The hidden field is invalid.' => 'The hidden field is invalid.',
    'Please enter an integer.' => 'Please enter an integer.',
    'Please select a valid language.' => 'Please select a valid language.',
    'Please select a valid locale.' => 'Please select a valid locale.',
    'Please enter a valid money amount.' => 'Please enter a valid money amount.',
    'Please enter a number.' => 'Please enter a number.',
    'The password is invalid.' => 'The password is invalid.',
    'Please enter a percentage value.' => 'Please enter a percentage value.',
    'The values do not match.' => 'The values do not match.',
    'Please enter a valid time.' => 'Please enter a valid time.',
    'Please select a valid timezone.' => 'Please select a valid timezone.',
    'Please enter a valid URL.' => 'Please enter a valid URL.',
    'Please enter a valid search term.' => 'Please enter a valid search term.',
    'Please provide a valid phone number.' => 'Please provide a valid phone number.',
    'The checkbox has an invalid value.' => 'The checkbox has an invalid value.',
    'Please enter a valid email address.' => 'Please enter a valid email address.',
    'Please select a valid option.' => 'Please select a valid option.',
    'Please select a valid range.' => 'Please select a valid range.',
    'Please enter a valid week.' => 'Please enter a valid week.',
  ),
  'security' => 
  array (
    'An authentication exception occurred.' => 'An authentication exception occurred.',
    'Authentication credentials could not be found.' => 'Authentication credentials could not be found.',
    'Authentication request could not be processed due to a system problem.' => 'Authentication request could not be processed due to a system problem.',
    'Invalid credentials.' => 'Invalid credentials.',
    'Cookie has already been used by someone else.' => 'Cookie has already been used by someone else.',
    'Not privileged to request the resource.' => 'Not privileged to request the resource.',
    'Invalid CSRF token.' => 'Invalid CSRF token.',
    'No authentication provider found to support the authentication token.' => 'No authentication provider found to support the authentication token.',
    'No session available, it either timed out or cookies are not enabled.' => 'No session available, it either timed out or cookies are not enabled.',
    'No token could be found.' => 'No token could be found.',
    'Username could not be found.' => 'Username could not be found.',
    'Account has expired.' => 'Account has expired.',
    'Credentials have expired.' => 'Credentials have expired.',
    'Account is disabled.' => 'Account is disabled.',
    'Account is locked.' => 'Account is locked.',
    'Too many failed login attempts, please try again later.' => 'Too many failed login attempts, please try again later.',
    'Invalid or expired login link.' => 'Invalid or expired login link.',
  ),
  'admin' => 
  array (
    'sulu_search.search' => 'Search',
    'sulu_search.everything' => 'Everything',
    'sulu_search.search_hint' => 'Use (*) in your query as a placeholder for parts of a word.',
    'sulu_search.nothing_found' => 'Nothing could be found for your search term.',
    'sulu_contact.contacts' => 'Contacts',
    'sulu_contact.organizations' => 'Organizations',
    'sulu_contact.organization' => 'Organization',
    'sulu_contact.people' => 'People',
    'sulu_contact.contact_selection_overlay_title' => 'Choose contacts',
    'sulu_contact.account_selection_overlay_title' => 'Choose accounts',
    'sulu_contact.contact_selection_label' => '{count} {count, plural, =1 {contact} other {contacts}} selected',
    'sulu_contact.account_selection_label' => '{count} {count, plural, =1 {account} other {accounts}} selected',
    'sulu_contact.contact_account_selection_label' => '{count} {count, plural, =1 {contact} other {contacts}} selected',
    'sulu_contact.avatar' => 'Avatar',
    'sulu_contact.logo' => 'Logo',
    'sulu_contact.name' => 'Name',
    'sulu_contact.first_name' => 'First Name',
    'sulu_contact.last_name' => 'Last Name',
    'sulu_contact.contact_details' => 'Contact details',
    'sulu_contact.addresses' => 'Addresses',
    'sulu_contact.bank_accounts' => 'Bank accounts',
    'sulu_contact.email' => 'Email',
    'sulu_contact.primary_address' => 'Primary address',
    'sulu_contact.delivery_address' => 'Delivery address',
    'sulu_contact.billing_address' => 'Billing address',
    'sulu_contact.city' => 'City',
    'sulu_contact.zip' => 'ZIP',
    'sulu_contact.street' => 'Street',
    'sulu_contact.number' => 'Number',
    'sulu_contact.address_line' => 'Addressline',
    'sulu_contact.state' => 'Region',
    'sulu_contact.country' => 'Country',
    'sulu_contact.postbox_number' => 'Postbox #',
    'sulu_contact.postbox_zip' => 'Postbox ZIP',
    'sulu_contact.postbox_city' => 'Postbox City',
    'sulu_contact.phone' => 'Phone',
    'sulu_contact.fax' => 'Fax',
    'sulu_contact.website' => 'Website',
    'sulu_contact.social_media' => 'Social Media',
    'sulu_contact.birthday' => 'Birthday',
    'sulu_contact.title' => 'Title',
    'sulu_contact.salutation' => 'Salutation',
    'sulu_contact.form_of_address' => 'Form of Address',
    'sulu_contact.male_form_of_address' => 'Mr.',
    'sulu_contact.female_form_of_address' => 'Ms.',
    'sulu_contact.position' => 'Position',
    'sulu_contact.corporation' => 'Corporation',
    'sulu_contact.main_contact' => 'Main Contact',
    'sulu_contact.uid' => 'UID',
    'sulu_contact.register_number' => 'Register Number',
    'sulu_contact.jurisdiction' => 'Jurisdiction',
    'sulu_contact.note' => 'Note',
    'sulu_contact.parent_company' => 'Parent Company',
    'sulu_contact.upload_avatar_info_text' => 'Drop image or click to change avatar',
    'sulu_contact.upload_logo_info_text' => 'Drop image or click to change logo',
    'sulu_contact.no_contact_selected' => 'No contact selected',
    'sulu_contact.single_contact_selection_overlay_title' => 'Choose contact',
    'sulu_contact.no_account_selected' => 'No account selected',
    'sulu_contact.single_account_selection_overlay_title' => 'Choose account',
    'sulu_contact.taxonomies' => 'Taxonomies',
    'sulu_contact.add_address' => 'Add address',
    'sulu_contact.edit_address' => 'Edit address',
    'sulu_contact.add_bank_account' => 'Add bank account',
    'sulu_contact.edit_bank_account' => 'Edit bank account',
    'sulu_contact.work' => 'Work',
    'sulu_contact.private' => 'Private',
    'sulu_contact.mobile' => 'Mobile',
    'sulu_contact.bank' => 'Bank',
    'sulu_contact.iban' => 'IBAN',
    'sulu_contact.bic' => 'BIC',
    'sulu_contact.edit_title_overlay_title' => 'Edit titles',
    'sulu_contact.edit_position_overlay_title' => 'Edit positions',
    'sulu_contact.documents' => 'Documents',
    'sulu_contact.delete_media_warning_title' => 'Remove document assignment?',
    'sulu_contact.delete_media_warning_text' => 'This operation removes the selected document assignments. The document itself will not be deleted. Do you really wish to proceed?',
    'sulu_contact.add_contact_to_organization' => 'Add contact to organization',
    'sulu_contact.latitude' => 'Latitude',
    'sulu_contact.longitude' => 'Longitude',
    'sulu_media.media' => 'Media',
    'sulu_media.all_media' => 'All media',
    'sulu_media.audio' => 'Audio',
    'sulu_media.document' => 'Document',
    'sulu_media.image' => 'Image',
    'sulu_media.video' => 'Video',
    'sulu_media.copy_url' => 'Copy URL',
    'sulu_media.download_masterfile' => 'Download master file',
    'sulu_media.select_media_singular' => 'Select media',
    'sulu_media.select_media_plural' => 'Select media',
    'sulu_media.reset_selection' => 'Reset selection',
    'sulu_media.copy_masterfile_url' => 'Copy master file URL',
    'sulu_media.copy_masterfile_url_website' => 'Copy master file URL (Website)',
    'sulu_media.information_taxonomy' => 'Information and Taxonomy',
    'sulu_media.upload' => 'Upload',
    'sulu_media.upload_new_version' => 'Upload new version',
    'sulu_media.media_selected_singular' => 'media element selected',
    'sulu_media.media_selected_plural' => 'media elements selected',
    'sulu_media.drop_files_to_upload' => 'Upload files per drag`n`drop',
    'sulu_media.click_here_to_upload' => 'or click here to upload files',
    'sulu_media.add_collection' => 'Add collection',
    'sulu_media.remove_collection' => 'Delete collection',
    'sulu_media.remove_collection_warning' => 'This operation deletes a collection and cannot be undone. Do you really wish to proceed?',
    'sulu_media.move_collection' => 'Move collection',
    'sulu_media.edit_collection' => 'Edit collection',
    'sulu_media.download_media' => 'Download media',
    'sulu_media.download_counter' => 'Download count',
    'sulu_media.delete_media' => 'Delete media',
    'sulu_media.delete_media_warning_title' => 'Delete media',
    'sulu_media.delete_media_warning_text' => 'This operation deletes a media and cannot be undone. Do you really wish to proceed?',
    'sulu_media.delete_preview_image_warning_title' => 'Delete preview image',
    'sulu_media.delete_preview_image_warning_text' => 'This operation deletes the preview image and cannot be undone. Do you really wish to proceed?',
    'sulu_media.thumbnail' => 'Thumbnail',
    'sulu_media.type' => 'Type',
    'sulu_media.version' => 'Version',
    'sulu_media.size' => 'Filesize',
    'sulu_media.mime_type' => 'MIME-Type',
    'sulu_media.license' => 'License',
    'sulu_media.copyright' => 'Copyright Information',
    'sulu_media.credits' => 'Credits',
    'sulu_media.taxonomies' => 'Taxonomies',
    'sulu_media.history' => 'History',
    'sulu_media.formats' => 'Formats',
    'sulu_media.all_collections' => 'All collections',
    'sulu_media.move_media' => 'Move media',
    'sulu_media.upload_server_error' => 'There was an error while uploading one or multiple files to the server.',
    'sulu_media.set_focus_point' => 'Set focus point',
    'sulu_media.define_crops' => 'Define crops',
    'sulu_media.upload_preview_image' => 'Upload preview image',
    'sulu_media.delete_preview_image' => 'Delete preview image',
    'sulu_media.cropped' => 'Cropped',
    'sulu_media.double_click_crop_and_maximize' => 'A double-click maximizes and centers the area',
    'sulu_media.min_size_notification' => 'Minimal size reached',
    'sulu_media.left_top' => 'Left top',
    'sulu_media.top' => 'Top',
    'sulu_media.right_top' => 'Right top',
    'sulu_media.left' => 'Left',
    'sulu_media.middle' => 'Middle',
    'sulu_media.right' => 'Right',
    'sulu_media.left_bottom' => 'Left bottom',
    'sulu_media.bottom' => 'Bottom',
    'sulu_media.right_bottom' => 'Right bottom',
    'sulu_media.hotspots' => 'Hotspots',
    'sulu_media.add_hotspot' => 'Add hotspot',
    'sulu_media.hotspot_type' => 'Hotspot type',
    'sulu_media.form_type' => 'Form type',
    'sulu_media.circle' => 'Circle',
    'sulu_media.point' => 'Point',
    'sulu_media.rectangle' => 'Rectangle',
    'sulu_security.roles' => 'User roles',
    'sulu_security.user_name' => 'Username',
    'sulu_security.enable_user' => 'Enable User',
    'sulu_security.user_locked' => 'User locked',
    'sulu_security.permissions' => 'Permissions',
    'sulu_security.password' => 'Password',
    'sulu_security.email' => 'Email',
    'sulu_security.system' => 'System',
    'sulu_security.system_language' => 'System language',
    'sulu_security.reset_mail_subject' => 'Reset your Sulu password',
    'sulu_security.reset_mail_message' => 'To reset your Sulu password please click on the following link or copy/paste it to your browser:',
    'sulu_security.view' => 'View',
    'sulu_security.add' => 'Add',
    'sulu_security.edit' => 'Edit',
    'sulu_security.delete' => 'Delete',
    'sulu_security.live' => 'Live',
    'sulu_security.security' => 'Security',
    'sulu_security.system_permission_heading' => 'Activate permissions for {system}',
    'sulu_security.inherit_permissions_title' => 'Inherit permissions?',
    'sulu_security.inherit_permissions_label' => 'Override permissions of sub elements',
    'sulu_security.move_permission_title' => 'Notice',
    'sulu_security.move_permission_warning' => 'Permissions from the parent element will not be transferred.',
    'sulu_category.categories' => 'Categories',
    'sulu_category.key' => 'Key',
    'sulu_category.name' => 'Name',
    'sulu_category.keywords' => 'Keywords',
    'sulu_category.keyword' => 'Keyword',
    'sulu_category.multiple_usage' => 'Multiple Usage',
    'sulu_category.all_categories' => 'All categories',
    'sulu_category.no_category_selected' => 'No category selected',
    'sulu_category.single_category_selection_overlay_title' => 'Choose category',
    'sulu_snippet.selection_overlay_title' => 'Choose snippets',
    'sulu_snippet.selection_label' => '{count} {count, plural, =1 {snippet} other {snippets}} selected',
    'sulu_snippet.no_snippet_selected' => 'No snippet selected',
    'sulu_snippet.single_snippet_selection_overlay_title' => 'Choose snippet',
    'sulu_snippet.snippets' => 'Snippets',
    'sulu_snippet.snippet' => 'Snippet',
    'sulu_snippet.default_snippets' => 'Default Snippets',
    'sulu_snippet.snippet_area' => 'Type or area',
    'sulu_snippet.taxonomies' => 'Taxonomies',
    'sulu_snippet.webspace_default_snippet' => '%webspaceKey% default snippet',
    'sulu_page.webspaces' => 'Webspaces',
    'sulu_page.selection_label' => '{count} {count, plural, =1 {page} other {pages}} selected',
    'sulu_page.selection_overlay_title' => 'Choose pages',
    'sulu_page.seo' => 'SEO',
    'sulu_page.excerpt' => 'Excerpt & Taxonomies',
    'sulu_page.title' => 'Title',
    'sulu_page.show_ghost_and_shadow' => 'Show ghost and shadow pages',
    'sulu_page.no_page_selected' => 'No page selected',
    'sulu_page.single_selection_overlay_title' => 'Choose page',
    'sulu_page.settings' => 'Settings',
    'sulu_page.show_page_in' => 'Show page in',
    'sulu_page.no_navigation' => 'no navigation',
    'sulu_page.all_navigations' => 'all navigations',
    'sulu_page.page_type' => 'Page Type',
    'sulu_page.content' => 'Content',
    'sulu_page.pages' => 'Pages',
    'sulu_page.page' => 'Page',
    'sulu_page.internal_link' => 'Internal Link',
    'sulu_page.external_link' => 'External Link',
    'sulu_page.link_title' => 'Link Title',
    'sulu_page.linked_content' => 'Linked Content',
    'sulu_page.url' => 'URL',
    'sulu_page.shadow_page' => 'Shadow Page',
    'sulu_page.enable_shadow_page' => 'Enable Shadow Page',
    'sulu_page.enable_shadow_page_info_text' => 'This function is disabled if the current locale is already used as shadow locale.',
    'sulu_page.shadow_locale' => 'Shadow Locale',
    'sulu_page.editing_information' => 'Editing Information',
    'sulu_page.authored_date' => 'Authored Date',
    'sulu_page.author' => 'Author',
    'sulu_page.changelog' => 'Changelog',
    'sulu_page.text_for_more_link' => 'Text for more link',
    'sulu_page.icons' => 'Icons',
    'sulu_page.images' => 'Images',
    'sulu_page.edited' => 'edited',
    'sulu_page.search_result' => 'Search Engine Result Pages Preview (SERP)',
    'sulu_page.meta_title' => 'Title (Meta title)',
    'sulu_page.meta_title_info_text' => 'The meta title is limited to 55 characters.',
    'sulu_page.meta_description' => 'Description (Meta description)',
    'sulu_page.meta_description_info_text' => 'The meta description is limited to 320 characters.',
    'sulu_page.meta_keywords' => 'Keywords (Meta keywords)',
    'sulu_page.meta_keywords_info_text' => 'Please use a maximum of 5 keywords, dependant from the content of the page, separated by commas.',
    'sulu_page.canonical_url' => 'Canonical URL  (Canonical tag)',
    'sulu_page.no_index' => 'no-index (page will not be indexed by search engines)',
    'sulu_page.no_follow' => 'no-follow (links on this page will not be followed by the search engine)',
    'sulu_page.hide_in_sitemap' => 'Hide in sitemap',
    'sulu_page.delete_draft' => 'Delete draft',
    'sulu_page.delete_draft_warning_title' => 'Delete Draft?',
    'sulu_page.delete_draft_warning_text' => 'Do you really want to delete the draft? All data will be lost. The published page will not be changed.',
    'sulu_page.unpublish_warning_title' => 'Set to unpublished?',
    'sulu_page.unpublish_warning_text' => 'Do you really want to unpublish the page? All website links will be lost. This setting can be changed at any time without data loss.',
    'sulu_page.unpublish' => 'Set to unpublished',
    'sulu_page.restore_version' => 'Restore version?',
    'sulu_page.restore_version_text' => 'A new draft will be created. An existing draft version will be overwritten',
    'sulu_page.hide_block_label' => 'Don\'t display on public website',
    'sulu_page.hide_block_description' => 'This block will not be published, but remains editable in the admin.',
    'sulu_page.segment_label' => 'Assign segment',
    'sulu_page.segment_description' => 'The block will be automatically filtered on the website by the chosen segment.',
    'sulu_page.target_groups_label' => 'Assign target groups',
    'sulu_page.target_groups_description' => 'The block will only be visible for the selected target groups.',
    'sulu_tag.tags' => 'Tags',
    'sulu_tag.tag' => 'Tag',
    'sulu_website.analytics' => 'Analytics',
    'sulu_website.all_domains' => 'All domains',
    'sulu_website.domains' => 'Domains',
    'sulu_website.google_analytics' => 'Google Analytics',
    'sulu_website.google_tag_manager' => 'Google Tag Manager',
    'sulu_website.matomo' => 'Matomo',
    'sulu_website.custom_analytics' => 'Custom',
    'sulu_website.script' => 'Script',
    'sulu_website.key' => 'Key',
    'sulu_website.matomo_url' => 'URL',
    'sulu_website.matomo_id' => 'Site-ID',
    'sulu_website.position' => 'Position',
    'sulu_website.head_open' => 'Head open',
    'sulu_website.head_close' => 'Head close',
    'sulu_website.body_open' => 'Body open',
    'sulu_website.body_close' => 'Body close',
    'sulu_website.cache_clear' => 'Clear website cache',
    'sulu_website.cache_clear_warning_title' => 'Clear website cache?',
    'sulu_website.cache_clear_warning_text' => 'This operation will clear the entire cache for all webspaces. Do you really wish to proceed?',
    'sulu_location.latitude' => 'Latitude',
    'sulu_location.longitude' => 'Longitude',
    'sulu_location.zoom' => 'Zoom',
    'sulu_location.select_location' => 'Select location',
    'sulu_location.additional_information' => 'Additional Information',
    'sulu_location.title' => 'Title',
    'sulu_location.street' => 'Street',
    'sulu_location.number' => 'Number',
    'sulu_location.code' => 'Code',
    'sulu_location.town' => 'Town',
    'sulu_location.country' => 'Country',
    'sulu_custom_url.custom_urls' => 'Custom URLs',
    'sulu_custom_url.custom_url' => 'Custom URL',
    'sulu_custom_url.published' => 'Published',
    'sulu_custom_url.base_domain' => 'Base domain',
    'sulu_custom_url.target_page' => 'Target page',
    'sulu_custom_url.target_locale' => 'Localization',
    'sulu_custom_url.redirect' => 'Redirect',
    'sulu_custom_url.redirect_info' => 'The custom URL will be redirected to URL of the linked page.',
    'sulu_custom_url.canonical' => 'Canonical URL',
    'sulu_custom_url.canonical_info' => 'When the Canonical URL has been activated only the linked page will be indexed by search engines',
    'sulu_custom_url.no_index' => 'No Index',
    'sulu_custom_url.no_index_info' => 'The page will not be indexed by search engines.',
    'sulu_custom_url.no_follow' => 'No Follow',
    'sulu_custom_url.no_follow_info' => 'The links on the page will not be followed by search engines.',
    'sulu_custom_url.target_title' => 'Target page',
    'sulu_admin.add' => 'Add',
    'sulu_admin.add_block' => 'Add block',
    'sulu_admin.delete' => 'Delete',
    'sulu_admin.move' => 'Move',
    'sulu_admin.move_items' => 'Move items',
    'sulu_admin.copy' => 'Copy',
    'sulu_admin.order' => 'Order',
    'sulu_admin.of' => 'of',
    'sulu_admin.page' => 'Page',
    'sulu_admin.per_page' => 'Items per page',
    'sulu_admin.save' => 'Save',
    'sulu_admin.save_draft' => 'Save as draft',
    'sulu_admin.save_publish' => 'Save and publish',
    'sulu_admin.publish' => 'Publish',
    'sulu_admin.create' => 'Create',
    'sulu_admin.edit' => 'Edit',
    'sulu_admin.object' => 'Object',
    'sulu_admin.objects' => 'Objects',
    'sulu_admin.reached_end_of_list' => 'You reached the end of the list',
    'sulu_admin.confirm' => 'Confirm',
    'sulu_admin.ok' => 'Ok',
    'sulu_admin.cancel' => 'Cancel',
    'sulu_admin.apply' => 'Apply',
    'sulu_admin.yes' => 'Yes',
    'sulu_admin.no' => 'No',
    'sulu_admin.type' => 'Type',
    'sulu_admin.default' => 'Default',
    'sulu_admin.error_required' => 'This field must have a value',
    'sulu_admin.error_minlength' => 'The minimal length of this field was undershot',
    'sulu_admin.error_minitems' => 'This field has too few selections',
    'sulu_admin.welcome' => 'Welcome',
    'sulu_admin.reset_password' => 'Reset password',
    'sulu_admin.reset_password_error' => 'The passwords do not match',
    'sulu_admin.back_to_website' => 'Back to website',
    'sulu_admin.username_or_email' => 'Username or Email',
    'sulu_admin.password' => 'Password',
    'sulu_admin.repeat_password' => 'Repeat password',
    'sulu_admin.login' => 'Login',
    'sulu_admin.login_error' => 'This Email/Password combination is wrong. Please try again.',
    'sulu_admin.to_login' => 'Back to login',
    'sulu_admin.reset' => 'Reset',
    'sulu_admin.reset_resend' => 'Resend',
    'sulu_admin.forgot_password' => 'Forgot password',
    'sulu_admin.forgot_password_success' => 'An email with instructions how to reset your password has been sent if a user was found',
    'sulu_admin.list_search_placeholder' => 'Search…',
    'sulu_admin.error' => 'Error',
    'sulu_admin.warning' => 'Warning',
    'sulu_admin.close' => 'Close',
    'sulu_admin.id' => 'ID',
    'sulu_admin.key' => 'Key',
    'sulu_admin.title' => 'Title',
    'sulu_admin.name' => 'Name',
    'sulu_admin.description' => 'Description',
    'sulu_admin.url' => 'URL',
    'sulu_admin.creator' => 'Creator',
    'sulu_admin.created' => 'Created on',
    'sulu_admin.changer' => 'Changer',
    'sulu_admin.changed' => 'Changed on',
    'sulu_admin.published' => 'Published on',
    'sulu_admin.authored' => 'Authored on',
    'sulu_admin.author' => 'Author',
    'sulu_admin.delete_warning_title' => 'Delete?',
    'sulu_admin.delete_warning_text' => 'This operation deletes data and cannot be undone. Do you really wish to proceed?',
    'sulu_admin.delete_linked_warning_title' => 'Confirm deletion',
    'sulu_admin.delete_linked_warning_text' => 'This item is referenced by the following items, are you sure you want to delete it?',
    'sulu_admin.delete_selection_warning_text' => 'This operation deletes {count} {count, plural, =1 {item} other {items}} and cannot be undone. Do you really wish to proceed?',
    'sulu_admin.item_not_deletable' => 'Item cannot be deleted',
    'sulu_admin.delete_linked_abort_text' => 'This item cannot be deleted as long as it has sub items. Delete the following sub items or remove the relation:',
    'sulu_admin.ghost_dialog_title' => 'Copy language?',
    'sulu_admin.ghost_dialog_description' => 'This page does not exist in this language. Do you want to copy content from another language?',
    'sulu_admin.choose_language' => 'Choose language',
    'sulu_admin.characters_left' => 'characters left',
    'sulu_admin.segments_left' => 'segments left',
    'sulu_admin.copy_locale' => 'Copy locale',
    'sulu_admin.choose_target_locale' => 'Choose target locales',
    'sulu_admin.copy_locale_dialog_description' => '* New locale will be created',
    'sulu_admin.move_copy_overlay_title' => 'Choose parent-page',
    'sulu_admin.filter_overlay_title' => 'Configure {fieldLabel}',
    'sulu_admin.data_source' => 'Select source',
    'sulu_admin.choose_data_source' => 'Choose source',
    'sulu_admin.include_sub_elements' => 'Include sub elements',
    'sulu_admin.filter_by_categories' => 'Filter by categories',
    'sulu_admin.any_category_description' => 'Use elements that use any category',
    'sulu_admin.all_categories_description' => 'Use elements that use all categories',
    'sulu_admin.choose_categories' => 'Choose categories',
    'sulu_admin.filter_by_tags' => 'Filter by tags',
    'sulu_admin.any_tag_description' => 'Use elements that use any tag',
    'sulu_admin.all_tags_description' => 'Use elements that use all tags',
    'sulu_admin.filter_by_types' => 'Filter by types',
    'sulu_admin.all_types' => 'All types selected',
    'sulu_admin.no_types' => 'No types selected',
    'sulu_admin.target_groups' => 'Target groups',
    'sulu_admin.use_target_groups' => 'Use target groups',
    'sulu_admin.sort_by' => 'Sort by',
    'sulu_admin.ascending' => 'Ascending',
    'sulu_admin.descending' => 'Descending',
    'sulu_admin.present_as' => 'Present as',
    'sulu_admin.limit_result_to' => 'Limit result to',
    'sulu_admin.smart_content_label' => '{count} {count, plural, =1 {element} other {elements}} selected',
    'sulu_admin.smart_content_block_preview' => 'Smart Content {limit, select, undefined{} other{displaying up to {limit} elements}}',
    'sulu_admin.order_warning_title' => 'Rearrange items',
    'sulu_admin.order_warning_text' => 'The operation you are about to do will rearrange items.',
    'sulu_admin.activate_all' => 'Activate all',
    'sulu_admin.deactivate_all' => 'Deactivate all',
    'sulu_admin.all_selected' => 'All selected',
    'sulu_admin.none_selected' => 'None selected',
    'sulu_admin.please_choose' => 'Please choose',
    'sulu_admin.column_options' => 'Column options',
    'sulu_admin.changelog_line_changer' => 'Last change {changer, select, undefined{} other{from {changer}}} at {changed}',
    'sulu_admin.changelog_line_creator' => 'Created {creator, select, undefined{} other{by {creator}}} at {created}',
    'sulu_admin.settings' => 'Settings',
    'sulu_admin.move_selected' => 'Move selected',
    'sulu_admin.details' => 'Details',
    'sulu_admin.edit_entries' => 'Edit entries',
    'sulu_admin.paragraph' => 'Paragraph',
    'sulu_admin.heading1' => 'Heading 1',
    'sulu_admin.heading2' => 'Heading 2',
    'sulu_admin.heading3' => 'Heading 3',
    'sulu_admin.heading4' => 'Heading 4',
    'sulu_admin.heading5' => 'Heading 5',
    'sulu_admin.heading6' => 'Heading 6',
    'sulu_admin.dirty_warning_dialog_title' => 'Leave form?',
    'sulu_admin.dirty_warning_dialog_text' => 'Changes you made will not be saved.',
    'sulu_admin.export' => 'Export',
    'sulu_admin.export_overlay_title' => 'Configure data format',
    'sulu_admin.delimiter' => 'Delimiter',
    'sulu_admin.enclosure' => 'Enclosure',
    'sulu_admin.escape' => 'Escape',
    'sulu_admin.new_line' => 'New line',
    'sulu_admin.delimiter_description' => 'Character for column separation.',
    'sulu_admin.enclosure_description' => 'Enclose multiple word entries.',
    'sulu_admin.escape_description' => 'Add-on for special characters.',
    'sulu_admin.new_line_description' => 'Character for line brake.',
    'sulu_admin.delimiter_tab' => 'Tab',
    'sulu_admin.enclosure_nothing' => 'Nothing',
    'sulu_admin.link' => 'Link',
    'sulu_admin.link_title' => 'Alternative title',
    'sulu_admin.link_target' => 'Link Target',
    'sulu_admin.link_url' => 'Link URL',
    'sulu_admin.mail_subject' => 'E-Mail Subject',
    'sulu_admin.mail_body' => 'E-Mail Text',
    'sulu_admin.show_history' => 'Show history',
    'sulu_admin.history' => 'History',
    'sulu_admin.resource_locator_history_delete_warning' => 'The URL will be deleted for all draft and live versions. This cannot be undone. Do you wish to proceed?',
    'sulu_admin.has_changed_warning_dialog_title' => 'Content will be overwritten!',
    'sulu_admin.has_changed_warning_dialog_text' => 'This content has been edited by another user. When you save the content this data will get lost.',
    'sulu_admin.edit_profile' => 'Edit profile',
    'sulu_admin.no_permissions' => 'No permissions',
    'sulu_admin.no_options_available' => 'No options available',
    'sulu_admin.form_contains_invalid_values' => 'The form contains invalid values',
    'sulu_admin.form_save_server_error' => 'There was an error when trying to save the form',
    'sulu_admin.form_used_by' => 'This form is currently used by',
    'sulu_admin.refresh_url' => 'Refresh URL',
    'sulu_admin.from' => 'from',
    'sulu_admin.until' => 'until',
    'sulu_admin.external_link' => 'External Link',
    'sulu_admin.internal_link' => 'Internal Link',
    'sulu_admin.block_settings' => 'Block settings',
    'sulu_admin.hide_block' => 'Hide this block on website',
    'sulu_admin.segment' => 'Segment',
    'sulu_admin.missing_type_dialog_title' => 'Choose new template',
    'sulu_admin.missing_type_dialog_description' => 'The template for the copied page does not exist in this webspace.',
    'sulu_preview.auto' => 'Auto',
    'sulu_preview.desktop' => 'Desktop',
    'sulu_preview.tablet' => 'Tablet',
    'sulu_preview.smartphone' => 'Smartphone',
    'sulu_preview.reload' => 'Reload',
    'sulu_preview.open_in_window' => 'Open in window',
  ),
));
$catalogue->addFallbackCatalogue($catalogueEn);

return $catalogue;
